# Create a connected account Create and configure your connected accounts using the Accounts v2 API. When you add a connected account to your SaaS platform, its configuration defines the interactions between it, your platform, and Stripe, including: - How payments get distributed to each party - Which business pays Stripe fees - Which business funds refunds and disputes ## Before you begin Follow the onboarding process to set up your [Stripe platform account](https://docs.stripe.com/connect/interactive-platform-guide.md). This guide describes the different elements of a connected account that uses your platform to process payments for its business. The [code sample](https://docs.stripe.com/connect/saas/tasks/create.md#code-sample) at the end of this guide shows the create connected account request that includes all the elements, but you can also use the update method to build the connected account properties iteratively. ## Create a connected account Define the connected account identity properties, such as its name, address, primary contact details, and business type. You can also let the account user provide these values during onboarding. ## Assign configurations Connected accounts interact with your platform and Stripe based on which configurations you assign. Most SaaS platforms assign: - The [merchant](https://docs.stripe.com/api/v2/core/accounts/create.md#v2_create_accounts-configuration-merchant) configuration allows the connected account to accept card payments from its own customers. - The [customer](https://docs.stripe.com/api/v2/core/accounts/create.md#v2_create_accounts-configuration-customer) configuration allows the connected account to pay your platform a subscription fee, if you charge one. ## Specify merchant capabilities The merchant configuration governs how payments from the connected account’s customers behave in Stripe. When you assign this configuration, you must also specify the following parameters. | Setting | Behavior | Values | | ------------------------- | -------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | Dashboard | How the connected account views their Stripe activity and settings. | - `express` - `full` - `none` | | Fee collection | Determines who collects payment fees from the connected account. | - `stripe` (Stripe collects fees directly) - `application` (Your platform collects application fees, then Stripe collects fees from your platform) | | Loss responsibility | Assigns responsibility for negative balances incurred by the connected account. | - `stripe` (Stripe is liable for connected account negative balances) - `application` (Your platform is liable for negative balances and manages risk for the connected account) | | Payment method acceptance | The types of payments, such as cards, debit, and wallets, to enable for the connected account to accept. | See the list of available [payment method capabilities](https://docs.stripe.com/api/v2/core/accounts/create.md#v2_create_accounts-configuration-merchant-capabilities). You must minimally request `card_payments`. | ## Specify customer capabilities The customer configuration defines how your connected account pays for their subscription to your platform, including whether you collect taxes from them and how you bill them. ## Code sample The following code sample shows a create connected account request that adds the merchant and customer configurations where: - Stripe collects fees and manages risk for direct payments to the connected account. - The connected account has card payments enabled. - The connected account can access their account through the Stripe Dashboard. - The [include parameter](https://docs.stripe.com/api-includable-response-values.md) requests full values in the response for specific parameter objects, which otherwise default to null. ```curl curl -X POST https://api.stripe.com/v2/core/accounts \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-03-25.preview" \ --json '{ "contact_email": "furever_contact@example.com", "display_name": "Furever", "dashboard": "full", "identity": { "business_details": { "registered_name": "Furever" }, "country": "us", "entity_type": "company" }, "configuration": { "customer": { "capabilities": { "automatic_indirect_tax": { "requested": true } } }, "merchant": { "capabilities": { "card_payments": { "requested": true } } } }, "defaults": { "currency": "usd", "responsibilities": { "fees_collector": "stripe", "losses_collector": "stripe" }, "locales": [ "en-US" ] }, "include": [ "configuration.customer", "configuration.merchant", "identity", "requirements" ] }' ``` ## Next steps After you create and configure your connected account, [set up Dashboard access](https://docs.stripe.com/connect/saas/tasks/dashboard.md) for them.